Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dsig
Class TransformException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.crypto.dsig.TransformException

All Implemented Interfaces:
  Serializable

    public class TransformException

extends Exception

Indicates an exceptional condition that occured while executing a transform algorithm.

A `TransformException` can contain a cause: another throwable that caused this `TransformException` to get thrown.

Since:
  1.6
See Also:
  `Transform.transform(javax.xml.crypto.Data, javax.xml.crypto.XMLCryptoContext)`, Serialized Form

Constructor Summary
`TransformException()` Constructs a new `TransformException` with `null` as its detail message.
`TransformException(String message)` Constructs a new `TransformException` with the specified detail message.
`TransformException(String message, Throwable cause)` Constructs a new `TransformException` with the specified detail message and cause.
`TransformException(Throwable cause)` Constructs a new `TransformException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary
`Throwable` | `getCause()` Returns the cause of this `TransformException` or `null` if the cause is nonexistent or unknown.
`void` | `printStackTrace()` Prints this `TransformException`, its backtrace and the cause's backtrace to the standard error stream.
`void` | `printStackTrace(PrintStream s)` Prints this `TransformException`, its backtrace and the cause's backtrace to the specified print stream.
`void` | `printStackTrace(PrintWriter s)` Prints this `TransformException`, its backtrace and the cause's backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformException

    public TransformException()

  Constructs a new `TransformException` with `null` as its detail message.

### TransformException

    public TransformException(String message)

  Constructs a new `TransformException` with the specified detail message.

  Parameters:
    `message` - the detail message

### TransformException

    public TransformException(String message,
                              Throwable cause)

  Constructs a new `TransformException` with the specified detail message and cause.

  Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

  Parameters:
    `message` - the detail message
    `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### TransformException

    public TransformException(Throwable cause)

  Constructs a new `TransformException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getCause

    public Throwable getCause()

  Returns the cause of this `TransformException` or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this `TransformException` to get thrown.)

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause of this `TransformException` or `null` if the cause is nonexistent or unknown.

### printStackTrace

    public void printStackTrace()

  Prints this `TransformException`, its backtrace and the cause's backtrace to the standard error stream.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Prints this `TransformException`, its backtrace and the cause's backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter s)

  Prints this `TransformException`, its backtrace and the cause's backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.